| Home | Libraries | People | FAQ | More

## Struct template inplace_et

boost::icl::inplace_et

## Synopsis

    // In header: <boost/icl/functors.hpp>

    template<typename Type>
    struct inplace_et : public boost::icl::identity_based_inplace_combine< Type > {
      // types
      typedef inplace_et< Type > type;

      // public member functions
      void operator()(Type &, const Type &) const;
    };

## Description

### `inplace_et` public member functions

1.     void operator()(Type & object, const Type & operand) const;